### A free/open-source library for quantitative finance

Public Member Functions
BatesProcess Class Reference
Stochastic processes

Square-root stochastic-volatility Bates process. More...

`#include <ql/processes/batesprocess.hpp>`

Inheritance diagram for BatesProcess:
[legend]

List of all members.

## Public Member Functions

| BatesProcess (const Handle< YieldTermStructure > &riskFreeRate, const Handle< YieldTermStructure > &dividendYield, const Handle< Quote > &s0, Real v0, Real kappa, Real theta, Real sigma, Real rho, Real lambda, Real nu, Real delta, HestonProcess::Discretization d=HestonProcess::FullTruncation)
Size | factors () const
| returns the number of independent factors of the process
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e.,
Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
Real | lambda () const
Real | nu () const
Real | delta () const

## Detailed Description

Square-root stochastic-volatility Bates process.

This class describes the square root stochastic volatility process incl jumps governed by

Examples:
  EquityOption.cpp.

## Member Function Documentation

Disposable<Array> evolve | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt,
|  | const Array & | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented from HestonProcess.